<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="16" infoRejectCounter="0">
  <summary>
    <timer wall-clock="0.26s" wall="0.26" cpu="0.648496" calls="1"/>
    <!-- memory in MB-->
    <memory final="449.07" peak="467.14"/>
  </summary>
  <header id="">
    <environment started="2022-Dec-06 19:56:11" host="mo42"/>
    <progOpts problem="test" parameterFile="/home/daniel/code/cfs/Testsuite/TESTSUIT/Optimization/Homogenization/buckling_loadfactor/buckling_loadfactor.xml" schemaPath="/home/daniel/code/cfs/share/xml" meshFile="/home/daniel/code/cfs/Testsuite/TESTSUIT/Optimization/Homogenization/buckling_loadfactor/test.mesh" logConfFile="" detailed="no">
      <cfs version="22.11" name="Welcome World" build="Release" git_commit="b9cb94d0f8d8fe257dd8e5191a42c6bab2c20dbf" git_branch="ocmPyOpt" exe="cfs.rel"/>
      <openmp CFS_NUM_THREADS="4" MKL_NUM_THREADS="4" OMP_NUM_THREADS="4"/>
    </progOpts>
    <domain nx="5" ny="5" nz="1">
      <grids>
        <timer wall-clock="0.004s" wall="0.004" cpu="0.004173" calls="1"/>
        <grid gridId="default" dimensions="2" elements="25" nodes="36"/>
      </grids>
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="36" elems="25" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="bottom" count="6"/>
        <nodes name="top" count="6"/>
        <nodes name="left" count="6"/>
        <nodes name="right" count="6"/>
        <nodes name="bottom_left" count="1" coord="(0,0)"/>
        <nodes name="bottom_right" count="1" coord="(1,0)"/>
        <nodes name="top_left" count="1" coord="(0,1)"/>
        <nodes name="top_right" count="1" coord="(1,1)"/>
        <nodes name="middle1" count="1" coord="(0.4,0.4)"/>
        <nodes name="middle2" count="1" coord="(0.4,0.6)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="5" ny="5" nz="1" step="0" t="0" t0="0"/>
    </domain>
    <results>
      <timer wall-clock="0.004s" wall="0.004" cpu="0.032223" calls="48"/>
    </results>
  </header>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator2D" coef="CoefFunctionOpt" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms/>
          </integrators>
        </header>
        <material name="strong">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+01  5.769231e+00  5.769231e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e+00  1.346154e+01  5.769231e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e+00  5.769231e+00  1.346154e+01  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e+00
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(10,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(0,0)"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="middle1" dofs="x"/>
            <nodeList name="middle2" dofs="y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="48" totalNumFreeEqns="48" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="48" lastFreeEqn="48" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="48" lastFreeIndex="48"/>
          </sbmBlocks>
        </setup>
        <solver>
          <cholmod>
            <header>
              <parameters>
                <factorization>
                  <nmethods default="0"/>
                  <postorder default="1"/>
                  <dbound default="0"/>
                </factorization>
                <supernodal>
                  <method default="auto"/>
                  <switch default="40"/>
                </supernodal>
                <output>
                  <level default="3"/>
                  <precise default="0"/>
                </output>
              </parameters>
            </header>
            <summary>
              <setup>
                <timer label="setup_cholmod" wall-clock="0s" wall="0" cpu="0.000146" calls="1"/>
              </setup>
              <solve>
                <timer label="solve_cholmod" wall-clock="0s" wall="0" cpu="6.5e-05" calls="6"/>
              </solve>
            </summary>
            <process>
              <setup selected_factorization_method="1" ll_flop_count="14252" nz_in_L="768" nz_in_triA="440" memory_usage="" memory_inuse="" malloc_count="" nrealloc_col="0" nrealloc_factor="0" ndbounds_hit="0">
                <method id="1" lnz="776" fl="14660"/>
              </setup>
              <solver/>
            </process>
          </cholmod>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="1e-06" calls="1"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
      <graph_setup>
        <timer wall-clock="0s" wall="0" cpu="0.000459" calls="1" sub="true"/>
      </graph_setup>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0s" wall="0" cpu="0.012722" calls="6"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <sequenceStep sequence="2">
    <buckling>
      <result id="iter:0_excite:s_2-0">
        <mode nr="1" loadfactor="0.72305283166631" error="1.4199e-06"/>
        <mode nr="2" loadfactor="0.449069866817885" error="1.3834e-13"/>
        <mode nr="3" loadfactor="0.346858884547415" error="8.2099e-14"/>
      </result>
    </buckling>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator2D" coef="CoefFunctionOpt" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="stiffness" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
              <bilinearForm integrator="PreStressInt" type="BDBInt" complex="no" BOp="preStressOp" coef="CoefFunctionOpt" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="geometric_stiffness" feMatrixMapped="geometric_stiffness" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms/>
          </integrators>
        </header>
        <material name="strong">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+01  5.769231e+00  5.769231e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e+00  1.346154e+01  5.769231e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e+00  5.769231e+00  1.346154e+01  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e+00
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(10,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(0,0)"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="middle1" dofs="x"/>
            <nodeList name="middle2" dofs="y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="48" totalNumFreeEqns="48" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="48" lastFreeEqn="48" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="48" lastFreeIndex="48"/>
          </sbmBlocks>
        </setup>
        <solve_eigen>
          <summary>
            <setup_arpack>
              <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
            </setup_arpack>
            <solve_arpack>
              <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
            </solve_arpack>
          </summary>
          <pardiso hermitean="no" symStruct="no" symmetric="no" posDef="no" pardiso_matrix="11" solver="direct">
            <summary>
              <setup>
                <timer label="setup_pardiso" wall-clock="0.001s" wall="0.001" cpu="0.007236" calls="1" sub="true"/>
              </setup>
              <solve>
                <timer label="solve_pardiso" wall-clock="0s" wall="0" cpu="0.004752" calls="23" sub="true"/>
              </solve>
            </summary>
            <process>
              <call number="0">
                <symbfact cpu="0.006045" wall="0" peakMem="223" permanentMem="194"/>
                <numfact cpu="0.001139" wall="0" peakMem="32"/>
              </call>
            </process>
          </pardiso>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="1e-06" calls="1" sub="true"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0" sub="true"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
          <header frequencies="0" type="SA" shift="(0,0)" computeMode="shift_and_invert" tol="1e-08" maxIter="100000" arnoldiVectors="96" scaling="1" logging="no" generalized="yes" quadratic="no" bloch="no"/>
          <arpack analysis_id="iter:0_excite:s_2-0">
            <rci solve_x="1" solve_B_x="22" matvec_B_x="74" total="98"/>
          </arpack>
        </solve_eigen>
      </mechanic>
      <graph_setup>
        <timer wall-clock="0s" wall="0" cpu="0.00044" calls="1" sub="true"/>
      </graph_setup>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0s" wall="0" cpu="0.001903" calls="1"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <init_multiSequence>
    <timer wall-clock="0s" wall="0" cpu="8e-06" calls="1"/>
  </init_multiSequence>
  <optimization haltopt_file="/home/daniel/code/cfs/Testsuite/TESTSUIT/Optimization/Homogenization/buckling_loadfactor/HALTOPT">
    <header>
      <objective type="homTensor" name="homTensor" linear="no" access="physical" task="minimize"/>
      <multipleExcitations type="homogenizationTestStrains"/>
      <constraints>
        <constraint type="bucklingLoadFactor" name="bucklingLoadFactor_1" ev="1" access="physical" mode="observation" design="default" excitation="always within sequence"/>
        <constraint type="bucklingLoadFactor" name="bucklingLoadFactor_2" ev="2" access="physical" mode="observation" design="default" excitation="always within sequence"/>
        <constraint type="bucklingLoadFactor" name="bucklingLoadFactor_3" ev="3" access="physical" mode="observation" design="default" excitation="always within sequence"/>
      </constraints>
      <designSpace pamping="0" regular="yes">
        <setup_design>
          <timer wall-clock="0.049s" wall="0.049" cpu="0.156535" calls="2"/>
        </setup_design>
        <filters use_mat_filt="yes"/>
        <ersatzMaterialFile file="buckling_loadfactor.start.density.xml" source="command line"/>
        <transferFunctions>
          <transferFunction type="identity" application="mech" design="density"/>
        </transferFunctions>
        <designVariables opt_vars="25" field_elems="25" field_fe_elemes="25">
          <design type="density" upperBound="1" lowerBound="1e-09" physicalLowerBound="1e-09"/>
        </designVariables>
        <localElementCache org="2" shadow="0" mat_deriv="0" megabytes="0"/>
        <regions>
          <region name="mech" elements="25" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="2" complex="yes" harmonic="no" eigenvalue="yes" bloch="no" material="mechanic" homogenization="no"/>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="yes"/>
      <excitations>
        <excitation index="0" meta_idx="0" sequence="1" label="s_1-x" weight="0" normalized_weight="0" load="mech"/>
        <excitation index="1" meta_idx="0" sequence="1" label="s_1-y" weight="0" normalized_weight="0" load="mech"/>
        <excitation index="2" meta_idx="0" sequence="1" label="s_1-xy" weight="1" normalized_weight="1" load="mech"/>
        <excitation index="3" meta_idx="0" sequence="2" label="s_2-0" weight="1" normalized_weight="1"/>
      </excitations>
    </header>
    <commit mode="each_forward" stride="1"/>
    <optimizer>
      <evaluate/>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall-clock="0s" wall="0" cpu="0.000206" calls="1"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0s" wall="0" cpu="1.2e-05" calls="3"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="0s" wall="0" cpu="6e-06" calls="1"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
      </eval_grad_constraints>
      <construct_adjoint_rhs>
        <timer wall-clock="0s" wall="0" cpu="0.000182" calls="3"/>
      </construct_adjoint_rhs>
    </summary>
    <process>
      <iteration number="0" duration="0.247" homTensor="3.11550435599611" bucklingLoadFactor_1="0.346858884547415" bucklingLoadFactor_2="0.449069866817885" bucklingLoadFactor_3="0.72305283166631">
        <excitation index="0" objective="0" objective_weight="0"/>
        <excitation index="1" objective="0" objective_weight="0"/>
        <excitation index="2" objective="3.1155" objective_weight="1"/>
        <excitation index="3" objective="0" objective_weight="1" bucklingLoadFactor_1="0.34686" bucklingLoadFactor_2="0.44907" bucklingLoadFactor_3="0.72305"/>
        <homogenizedTensor norm_L2="3.1155" trace="4.4715" notation="voigt">
          <isotropy E="2.1829" v="0.076798" G="1.0136" err="0.93364"/>
          <orthotropy E_1="2.1829" E_2="2.1829" v_21="0.076798" v_12="0.076798" G_12="0.079943" err="3.844e-15"/>
          <tensor dim1="3" dim2="3">
            <real>
               2.195803e+00  1.686323e-01  0.000000e+00
               1.686323e-01  2.195803e+00  0.000000e+00
               0.000000e+00  0.000000e+00  7.994316e-02
            </real>
          </tensor>
        </homogenizedTensor>
      </iteration>
    </process>
  </optimization>
</cfsInfo>